<div class="products-container">
  <div class="add-product-button">
    <button nz-button
            nzType="primary"
            class="add-button"
            (click)="addProduct()">Add product</button>
  </div>
  <div class="add-product-modal">
    <nz-modal [(nzVisible)]="isVisibleModal"
              nzTitle="Product information"
              [nzFooter]="null"
              (nzOnCancel)="handleCancel()">
      <form nz-form
            [formGroup]="this.addProductForm"
            #form="ngForm"
            class="login-form"
            (ngSubmit)="submitForm(form)">
        <nz-form-item>
          <nz-form-label [nzSm]="6"
                         [nzXs]="24"
                         nzRequired
                         nzFor="product">Product</nz-form-label>
          <nz-form-control [nzErrorTip]="productErrorTpl">
            <nz-input-group>
              <input type="text"
                     nz-input
                     formControlName="product"
                     placeholder="Please enter a product..." />
            </nz-input-group>
            <ng-template #productErrorTpl
                         let-control>
              <ng-container *ngIf="control.hasError('required')">
                Please enter product!
              </ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>

        <nz-form-item>
          <nz-form-label [nzSm]="6"
                         [nzXs]="24"
                         nzRequired
                         nzFor="vendor">Vendor</nz-form-label>
          <nz-form-control [nzErrorTip]="vendorErrorTpl">
            <nz-input-group>
              <input type="text"
                     nz-input
                     formControlName="vendor"
                     placeholder="Please enter a vendor..." />
            </nz-input-group>
            <ng-template #vendorErrorTpl
                         let-control>
              <ng-container *ngIf="control.hasError('required')">
                Please enter vendor!
              </ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>

        <nz-form-item>
          <nz-form-label [nzSm]="6"
                         [nzXs]="24"
                         nzRequired
                         nzFor="version">Version</nz-form-label>
          <nz-form-control [nzErrorTip]="versionErrorTpl">
            <nz-input-group>
              <input type="text"
                     nz-input
                     formControlName="version"
                     placeholder="Please enter a version..." />
            </nz-input-group>
            <ng-template #versionErrorTpl
                         let-control>
              <ng-container *ngIf="control.hasError('required')">
                Please enter version!
              </ng-container>
            </ng-template>
          </nz-form-control>
        </nz-form-item>
        <button nz-button
                [nzType]="'primary'"
                type="submit"
                [disabled]="!this.addProductForm.valid">Submit</button>
      </form>
    </nz-modal>
  </div>

  <div class="nav-products">
    <button nz-button
            [ngClass]="{'active-button':this.productsTableView==='all'}"
            (click)="allProducts()">All products
      <span class="total-products-results">{{this.productsCount?.all}}</span>
    </button>
    <button nz-button
            [ngClass]="{'active-button':this.productsTableView==='withCVEs'}"
            (click)="productsWithCVEs()">Products with CVEs
      <span class="total-products-results">{{this.productsCount?.withCVE}}</span>
    </button>
    <button nz-button
            [ngClass]="{'active-button':this.productsTableView==='withoutCVEs'}"
            (click)="productsWithoutCVEs()">Products without CVEs
      <span class="total-products-results">{{this.productsCount?.withoutCVE}}</span>
    </button>
    <button nz-button
            [ngClass]="{'active-button':this.productsTableView==='search'}"
            (click)="searchClicked()">Search
    </button>
  </div>
  <app-search (onSearchClicked)="this.searchButtonClicked($event)"
              *ngIf="this.productsTableView === 'search'"></app-search>
  <app-products-table [products]="this.products"
                      (onSortClicked)="this.productsSort($event)"
                      (onPageClicked)="this.productsPagination($event)"
                      [pagination]="this.paginationInfo"
                      [loading]="this.loadingPage">
  </app-products-table>
</div>
